Vulnerabilities / Threats
9/24/2012
10:32 AM
Connect Directly
RSS
E-Mail
50%
50%
Repost This

Microsoft IE Patch Fixes Flaw Under Active Attack

Microsoft wins praise for quickly addressing five remote-execution security vulnerabilities, one of which is being used now in attacks.

8 Key Differences Between Windows 8 And Windows RT
8 Key Differences Between Windows 8 And Windows RT
(click image for larger view and for slideshow)
As promised, Microsoft Friday released a security update to patch a zero-day vulnerability that's being actively exploited by attackers, as well as four previously undisclosed vulnerabilities of a similar nature.

According to Microsoft's critical security update, Internet Explorer 6, 7, 8, and 9, running on almost every type of Windows operating system, are vulnerable to a remote code execution attack. A related exploit, if successful, would allow an attacker to execute arbitrary code on a targeted machine. Notably, however, IE10 and some versions of Windows Server aren't vulnerable to the related attack.

Numerous security experts have recommended that all IE users immediately install Microsoft's patch. "We recommend installing the update as soon as possible, even if you are not running one of the configurations that are currently being exploited, i.e. Internet Explorer plus Flash or version Java v1.6," said Wolfgang Kandek, CTO of Qualys, in a blog post.

According to a technical analysis of the vulnerability published by Microsoft, attackers have so far only exploited the flaw via browser plug-ins. "All real attacks we have seen are targeting only 32-bit versions of Internet Explorer, and rely on third-party browser [plug-ins] to either perform efficient heap-spray in memory and/or to bypass the built-in mitigations of Windows Vista and 7 such as DEP and ASLR," according to the post. For example, some versions of the attack code that target Java 6--which lacks ASLR--aren't effective against Java 7.

[ What are the legal rules when it comes to cyber attacks? Read Cyber Warfare Still Poses Legal Questions. ]

But Kandek warned that as attackers gain familiarity with the vulnerability, they may develop more effective exploits. "Attackers are surely working on [ways] to exploit the vulnerability directly, without the help of plug-ins," he said.

The vulnerability being exploited via in-the-wild attacks was disclosed on September 16 by researcher Eric Romang, who said he'd found it just two days prior, while examining code on an Italian website that was used--apparently by the gang behind the Nitro malware--to launch a number of recent, targeted attacks. Romang warned that attackers may have been employing the zero-day vulnerability for some time, prior to his spotting it.

After Romang's disclosure, the IE vulnerability was quickly verified by researchers at AlienVault Labs, which also found related command-and-control servers for the malware being hosted in Astoria, Ill. It said that the vulnerability was apparently being used to infect targeted PCs with the Poison Ivy remote access toolkit.

Last week, meanwhile, the vulnerability was also added as a working exploit to the Metasploit open source penetration testing toolkit, which allows security researchers--or potentially, attackers--to test the vulnerability for themselves.

The speed of Microsoft's patch response--just one week elapsed from public disclosure of the vulnerability to Microsoft releasing a fix--has earned the company plaudits from information security experts. "In my opinion, computer users should be grateful for Microsoft's response. They managed to create, test, and roll out a patch for the Internet Explorer security [vulnerability] Romang discovered being exploited by malicious hackers within a week," said Graham Cluley, senior technology consultant at Sophos, in a blog post.

Interestingly, however, Microsoft's security bulletin doesn't credit Romang with having reported the vulnerability in question. Rather, it thanks TippingPoint, which suggests that Microsoft may have first learned of the vulnerability from a different source, and prior to Romang's disclosure.

Comment  | 
Print  | 
More Insights
Comments
Newest First  |  Oldest First  |  Threaded View
johnitguru
50%
50%
johnitguru,
User Rank: Apprentice
10/5/2012 | 12:47:51 PM
re: Microsoft IE Patch Fixes Flaw Under Active Attack
I got tired of Microsoft viruses, scams and malware so I installed a really cool 3D Linux operating system for only $39.95 that is 100% compatible with all my Windows data and is 10 times faster called Robolinux.
It took me only 5 minutes to install it.

Now I can surf until I am blue in the face and I can't get a virus.

Check it out

http://robolinux.org
johnitguru
50%
50%
johnitguru,
User Rank: Apprentice
10/5/2012 | 12:47:35 PM
re: Microsoft IE Patch Fixes Flaw Under Active Attack
I got tired of Microsoft viruses, scams and malware so I installed a really cool 3D Linux operating system for only $39.95 that is 100% compatible with all my Windows data and is 10 times faster called Robolinux.
It took me only 5 minutes to install it.

Now I can surf until I am blue in the face and I can't get a virus.

Check it out

http://robolinux.org
Register for Dark Reading Newsletters
White Papers
Cartoon
Current Issue
Video
Slideshows
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2012-3946
Published: 2014-04-24
Cisco IOS before 15.3(2)S allows remote attackers to bypass interface ACL restrictions in opportunistic circumstances by sending IPv6 packets in an unspecified scenario in which expected packet drops do not occur for "a small percentage" of the packets, aka Bug ID CSCty73682.

CVE-2012-5723
Published: 2014-04-24
Cisco ASR 1000 devices with software before 3.8S, when BDI routing is enabled, allow remote attackers to cause a denial of service (device reload) via crafted (1) broadcast or (2) multicast ICMP packets with fragmentation, aka Bug ID CSCub55948.

CVE-2013-6738
Published: 2014-04-24
Cross-site scripting (XSS) vulnerability in IBM SmartCloud Analytics Log Analysis 1.1 and 1.2 before 1.2.0.0-CSI-SCALA-IF0003 allows remote attackers to inject arbitrary web script or HTML via an invalid query parameter in a response from an OAuth authorization endpoint.

CVE-2014-0188
Published: 2014-04-24
The openshift-origin-broker in Red Hat OpenShift Enterprise 2.0.5, 1.2.7, and earlier does not properly handle authentication requests from the remote-user auth plugin, which allows remote attackers to bypass authentication and impersonate arbitrary users via the X-Remote-User header in a request to...

CVE-2014-2391
Published: 2014-04-24
The password recovery service in Open-Xchange AppSuite before 7.2.2-rev20, 7.4.1 before 7.4.1-rev11, and 7.4.2 before 7.4.2-rev13 makes an improper decision about the sensitivity of a string representing a previously used but currently invalid password, which allows remote attackers to obtain potent...

Best of the Web